-- ************************************ ChangeStation ************************************ --
ToiletStation = deriveLuaClass("ToiletStation2", "WorkStation")

function ToiletStation:onPlaceCharacter(character)
	ToiletStation.super.onPlaceCharacter(self, character)

	level:getSpriteExt("toilet_door_right"):playAnimation("CLOSED")
end

function ToiletStation:onWorkFinish(task)
	ToiletStation.super.onWorkFinish(self, task)

	level:getSpriteExt("toilet_door_right"):playDefaultAnimation()
	self:playDefaultAnimation()
	task.actor:addTask({class="WalkToTask", target=self.exitPos})
end
